#!/usr/bin/python

import sys
def main():
    if len(sys.argv) >= 2 and sys.argv[1] == 'w':
        try:
            import etm.etm_wx
            etm.etm_wx.main()
        except:
            print('Errors importing etm.etm_wx ')
            print(sys.exc_info())
    elif len(sys.argv) >= 2 and sys.argv[1] == 'p':
        import etm.data
        etm.data.main_loop()
    else:
        import etm.data
        etm.data.main()

if __name__ == "__main__":
    main()